-- --------------------------------------------------------

--
-- Table structure for table `achievements`
--

CREATE TABLE IF NOT EXISTS `achievements` (
  `id` int(11) NOT NULL auto_increment,
  `groupid` varchar(50) NOT NULL,
  `stringid` varchar(50) NOT NULL,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `progress` int(11) default '1',
  `image` text,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `groupid` (`groupid`,`stringid`),
  KEY `progress` (`progress`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `achievements`
--


-- --------------------------------------------------------

--
-- Table structure for table `achievements_progress`
--

CREATE TABLE IF NOT EXISTS `achievements_progress` (
  `steamid` varchar(50) NOT NULL,
  `groupid` varchar(50) NOT NULL,
  `achievementid` varchar(50) NOT NULL,
  `progress` int(11) default '0',
  KEY `progress` (`progress`),
  KEY `groupid` (`groupid`,`achievementid`),
  KEY `steamid` (`steamid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `achievements_progress`
--


-- --------------------------------------------------------

--
-- Table structure for table `achievement_events`
--

CREATE TABLE IF NOT EXISTS `achievement_events` (
  `id` int(11) NOT NULL auto_increment,
  `date` datetime NOT NULL,
  `steamid` varchar(50) NOT NULL,
  `groupid` varchar(50) NOT NULL,
  `achievementid` varchar(50) NOT NULL,
  `event` enum('achieved','un-achieved','reset') default 'achieved',
  PRIMARY KEY  (`id`),
  KEY `groupid` (`groupid`,`achievementid`),
  KEY `steamid` (`steamid`),
  KEY `date` (`date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `achievement_events`
--


-- --------------------------------------------------------

--
-- Table structure for table `achievement_groups`
--

CREATE TABLE IF NOT EXISTS `achievement_groups` (
  `id` int(11) NOT NULL auto_increment,
  `stringid` varchar(50) NOT NULL,
  `title` text NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `stringid` (`stringid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `achievement_groups`
--


-- --------------------------------------------------------

--
-- Table structure for table `options`
--

CREATE TABLE IF NOT EXISTS `options` (
  `id` varchar(10) NOT NULL,
  `value` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `options`
--

INSERT IGNORE INTO `options` (`id`, `value`) VALUES
('admin', '5f4dcc3b5aa765d61d8327deb882cf99'),
('dateFormat', 'd/m/Y g:ia'),
('installed', '0'),
('secretKey', 'secretKey');

-- --------------------------------------------------------

--
-- Table structure for table `player_pairs`
--

CREATE TABLE IF NOT EXISTS `player_pairs` (
  `id` int(11) NOT NULL auto_increment,
  `steamid` varchar(50) NOT NULL,
  `name` text,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `steamid` (`steamid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `player_pairs`
--


-- --------------------------------------------------------

--
-- Table structure for table `player_ranks`
--

CREATE TABLE IF NOT EXISTS `player_ranks` (
  `steamid` varchar(50) NOT NULL,
  `achievementcount` int(11) default '0',
  PRIMARY KEY  (`steamid`),
  KEY `achievementcount` (`achievementcount`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `player_ranks`
--


-- --------------------------------------------------------

--
-- Table structure for table `servers`
--

CREATE TABLE IF NOT EXISTS `servers` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(15) NOT NULL,
  `port` int(5) NOT NULL,
  `description` text NOT NULL,
  `password` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `ip` (`ip`,`port`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `servers`
--

